#
#	The Berkeley Packet Filter Traffic collector.
#
#	Copyright (c) 1999 RISS-Telecom Networking Center
#
#	Copyright (c) 1993-1996 The CAD lab of the
#	Siberian State Academy of Telecommunication.
#
#	BPFT $Id: Makefile.inc,v 1.5 2008/04/08 03:36:52 lorf Exp $
#
#	Main Makefile. Build everything in directories...
#

TRAFD_VERSION?=	3.0.3-b7
PREFIX?=	/usr/local
TRAFDDIR?=	/var/trafd
ETCDIR?=	${PREFIX}/etc
MANDIR?=	${PREFIX}/man
TRAFSTAT_PORT?=	150
TRAFD_USER?=	trafd
TRAFD_GROUP?=	trafd
TRAFD_UID?= 150
TRAFD_GID?= 150
TRAFD_MAX_TO_SAVE?=	104800

DEFINES+=	-DPREFIX=\"${PREFIX}\" \
	-DTRAFDDIR=\"${TRAFDDIR}\" \
	-DETCDIR=\"${ETCDIR}\" \
	-DTRAFSTAT_PORT=${TRAFSTAT_PORT} \
	-DTRAFD_USER=\"${TRAFD_USER}\" \
	-DTRAFD_GROUP=\"${TRAFD_GROUP}\" \
	-DMAX_TO_SAVE=${TRAFD_MAX_TO_SAVE}

COMMON_SUB+=	PREFIX=${PREFIX} \
	TRAFDDIR=${TRAFDDIR} \
	ETCDIR=${ETCDIR} \
	TRAFSTAT_PORT=${TRAFSTAT_PORT} \
	TRAFD_USER=${TRAFD_USER} \
	TRAFD_GROUP=${TRAFD_GROUP}

### BSD has net/slip.h
CFLAGS+=	-DHAVE_NET_SLIP_H -DHAVE_STRLCPY -DHAVE_FCNTL_H
CFLAGS+=	-DRETSIGTYPE=void -DRETSIGVAL=

LDFLAGS+=	-L../lib
LDADD=	-lbpft -lpcap
CFLAGS+=	-I../include

CFLAGS+=	-Wall -g

LN?=	ln
SED?=	sed
CHMOD?=	chmod

.if defined(WANT_STATIC)
NOSHARED=	yes
.endif

.if defined(DEBUG_FLAGS)
CFLAGS+=	${DEBUG_FLAGS}
STRIP=
.endif

CFLAGS+=	${DEFINES}
SUB+=		${COMMON_SUB}
BINDIR?=	${PREFIX}/bin

.if defined(SCRIPTS)
.for file in ${SCRIPTS}
.if exists(${file}.in)
CLEANFILES+=    ${file}
${file}: ${file}.in
	${SED} ${SUB:S/$/!g/:S/^/ -e s!%%/:S/=/%%!/} ${.ALLSRC} > ${.TARGET}
	${CHMOD} +x ${.TARGET}
.endif
.endfor
.endif

.if defined(FILES)
.for file in ${FILES}
.if exists(${file}.in)
CLEANFILES+=    ${file}
${file}: ${file}.in
	${SED} ${SUB:S/$/!g/:S/^/ -e s!%%/:S/=/%%!/} ${.ALLSRC} > ${.TARGET}
.endif
.endfor
.endif
