/*
 *	Copyright (c) 1999 RISS-Telecom Networking Center
 *	
 *	Copyright (c) 1993 The CAD lab of the
 *	Novosibirsk Institute of Broadcasting and Telecommunication
 *
 *	BPFT $Id: pathnames.h,v 1.1.1.1 2004/11/17 09:06:31 count Exp $
 *
 *	$Log: pathnames.h,v $
 *	Revision 1.1.1.1  2004/11/17 09:06:31  count
 *	Init import fo 3.0.3
 *	
 *	Revision 1.1.1.1  2000/04/07 05:26:48  count
 *	Initial revision
 *	
 * Revision 1.1  1993/10/20  16:03:10  bob
 * Initial revision
 *
 *
 * Redistribution and use in source forms, with and without modification,
 * are permitted provided that this entire comment appears intact.
 * Redistribution in binary form may occur without any restrictions.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' WITHOUT ANY WARRANTIES OF ANY KIND.
 */

/*
 * Some useful pathnames and filenames definition.
 * Provide trailing slash, since mostly used for building pathnames.
 */

#ifndef PREFIX
#define PREFIX	"/usr/local"
#endif

#ifndef TRAFDDIR
#define TRAFDDIR	"/var/trafd"
#endif

/* where locate pid files, relative to TRAFDDIR */
#ifndef	RUNDIR
#define	RUNDIR		"/run"
#endif

/* where unerased tmp directory, relative to TRAFDDIR */
#ifndef	TMPDIR
#define	TMPDIR		"/tmp"
#endif

/* where locate trafstat */
#ifndef	PATH_TRAFSTAT
#define	PATH_TRAFSTAT		PREFIX "/bin/trafstat"
#endif

/* where locate trafstat.log */
#ifdef WITH_OLD_LOG
#ifndef	PATH_TRAFSTAT_LOG
#define	PATH_TRAFSTAT_LOG	TRAFDDIR "/log/trafstat.log"
#endif
#endif

/* where locate file with descriptions of the traflog output format */
#ifndef	PATH_TRAFLOG_FMT
#define	PATH_TRAFLOG_FMT	ETCDIR "/traflog.format"
#endif

#define FMT_SAVEFILE	"/trafd.%s"
#define FMT_PIDFILE		RUNDIR "/trafd.%s"
#define FMT_DUMPFILE	TMPDIR "/trafd.%s.dump"
#define FMT_SOCKET		TMPDIR "/trafd.%s.sock"

#ifndef TRAFSTAT_PORT
#define TRAFSTAT_PORT	150
#endif

#ifndef TRAFD_USER
#define TRAFD_USER     "trafd"
#endif
#ifndef TRAFD_GROUP
#define TRAFD_GROUP    TRAFD_USER
#endif
