/*
 * Copyright (c) 2006 RISS-Telecom Research
 *
 * $RISS$
 *
 * Redistribution and use in source forms, with and without modification,
 * are permitted provided that this entire comment appears intact.
 * Redistribution in binary form may occur without any restrictions.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' WITHOUT ANY WARRANTIES OF ANY KIND.
 *
 */

#ifndef _TRAFD_CONFIG_H
#define _TRAFD_CONFIG_H

/*
 * Maximum numder of the stored data records for autobackup to disk.
 */
#ifndef MAX_TO_SAVE
#define MAX_TO_SAVE     104800
#endif

/*
 * Maximum size of the hashing memory table
 */
#ifndef MAX_T_ENTRIES
#define MAX_T_ENTRIES       (int)(MAX_TO_SAVE*1.3)
#endif

/*
 * Default minimum record size. Records with less number of
 * bytes will not be saved or piped to trafstat.
 *
 * Note, that in trafd prior to 3.0.3-b5 this was set to 2048
 * which caused it to drop traffic records less than 2048 bytes.
 */
#ifndef MIN_RECORD_SIZE
#define MIN_RECORD_SIZE 0
#endif

#ifndef	IPPROTO_OSPF
#define	IPPROTO_OSPF	89
#endif
#ifndef	IPPROTO_IGMP
#define	IPPROTO_IGMP	2
#endif

#ifndef IPPORT_RESERVED
#define IPPORT_RESERVED	1024
#endif
#ifndef IPPORT_USERRESERVED
#define IPPORT_USERRESERVED	5000
#endif
#ifndef IPPORT_HIFIRSTAUTO
#define IPPORT_HIFIRSTAUTO	49152
#endif
#ifndef IPPORT_HILASTAUTO
#define IPPORT_HILASTAUTO	65535
#endif

#ifndef true

#define true 1
#define false 0

#ifndef __cplusplus
typedef int bool;
#endif /* !__cplusplus */

#endif /* !true */

#endif /* !_TRAFD_CONFIG_H */
