/*
 *	Copyright (c) 1993 The CAD lab of the
 *	Novosibirsk Institute of Broadcasting and Telecommunication
 *
 *	BPFT $Id: traflog.h,v 1.2 2006/09/27 05:00:33 frol Exp $
 *
 *	$Log: traflog.h,v $
 *	Revision 1.2  2006/09/27 05:00:33  frol
 *	 - Fixes for 64bit platforms (still need to fix usage of time_t in trafdb);
 *	 - Add trafdb and trafrev into the build;
 *	 - Add NO_MAN Makefile defines for FreeBSD >= 5.x, leave NOMAN compat;
 *	 - Fix trafrev to not seek beyond beginning of the file.
 *	
 *	Revision 1.1.1.1  2000/04/07 05:26:48  count
 *	Initial revision
 *	
 * Revision 1.2  1994/01/06  15:24:57  bob
 * Expanded range of keywords
 *
 * Revision 1.1  1993/12/05  14:00:44  bob
 * Initial revision
 *
 *
 * Redistribution and use in source forms, with and without modification,
 * are permitted provided that this entire comment appears intact.
 * Redistribution in binary form may occur without any restrictions.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' WITHOUT ANY WARRANTIES OF ANY KIND.
 */

#define	NOCMD		0
#define	FROM		1
#define	TO		2
#define	PORT		3
#define	PROTO		4
#define	MASK		5
#define	BYTES		6
#define	FTIME		7
#define	LTIME		8
#define	SPORT		9
#define	DPORT		10
#define	PSIZE		11

#define	EQUAL		0
#define	LESS		-1
#define	GREATER		1

void pattern(char *);
int pat_print(void);
void log_loop(register FILE *, FILE *);

struct fmt_var {
	char *format;
	int cmd;
};

extern int aflag;
extern int sflag;
extern int lflag;
extern int rflag;
extern unsigned long begin, endin;
extern int tbflag, teflag;
extern int fvnum;
extern struct tv32 tb, te;
extern struct fmt_var *fv;
extern char *device_name;
