#!/bin/sh

if [ "$#" -lt 3 ]; then
	exec >&2
	echo "usage: `basename $0` service port daemon user"
	exit 1
fi

TSERV="$1"
TPORT="$2"
TPROG="$3"
TARG=`basename ${TPROG}`
TUSER="${4:-trafd}"

if grep -qi "^${TSERV}[[:space:]]" /etc/services >/dev/null 2>&1; then
	:	### empty
else
	echo "===> Adding ${TSERV} service to /etc/services"
	mv -f /etc/services /etc/services.bak
	sed -e "s@^[^[:space:]]\{1,\}\([[:space:]]\{1,\}$TPORT/[Tt][Cc][Pp]\)@$TSERV\\1@" \
		/etc/services.bak > /etc/services
fi

if grep -qi "^${TSERV}[[:space:]]" /etc/inetd.conf >/dev/null 2>&1; then
	:	### empty
else
	echo "===> Adding ${TSERV} service to /etc/inetd.conf"
	cp -f /etc/inetd.conf /etc/inetd.conf.bak
	echo "#${TSERV}	stream	tcp	nowait	${TUSER}	${TPROG} ${TARG}" \
		>> /etc/inetd.conf
fi
